C

cvp2-authentication-test-tool

This tool requires Python 3.2 or higher. If you work at CableLabs, email Brendan Long and request the complete tar file with keys and libraries.